import * as i0 from '@angular/core';
import { Directive, Input, NgModule } from '@angular/core';

class HighlightDirective {
    constructor(el) {
        this.el = el;
        this.defaultColor = '#7f8fa6';
        this.el.nativeElement.style.color = this.color ?? this.defaultColor;
    }
}
HighlightDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: HighlightDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
HighlightDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.1.3", type: HighlightDirective, selector: "[libHighlight]", inputs: { color: "color" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: HighlightDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[libHighlight]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { color: [{
                type: Input
            }] } });

class AnytextHighlightModule {
}
AnytextHighlightModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: AnytextHighlightModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AnytextHighlightModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: AnytextHighlightModule, declarations: [HighlightDirective] });
AnytextHighlightModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: AnytextHighlightModule, imports: [[]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: AnytextHighlightModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [HighlightDirective],
                    imports: [],
                    exports: [],
                }]
        }] });

/*
 * Public API Surface of anytext-highlight
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AnytextHighlightModule, HighlightDirective };
//# sourceMappingURL=anytext-highlight.mjs.map
